cereal::detail::InputBindingCreator< Archive, T > Struct Template Reference

Creates a binding (map entry) between an input archive type and a polymorphic type. More...

`#include </home/shane/workspace/cereal/include/cereal/details/polymorphic_impl.hpp>`

## Public Member Functions

| InputBindingCreator ()
| Initialize the binding.

## Detailed Description

### template<class Archive, class T>
struct cereal::detail::InputBindingCreator< Archive, T >

Creates a binding (map entry) between an input archive type and a polymorphic type.

Bindings are made when types are registered, assuming that at least one archive has already been registered. When this struct is created, it will insert (at run time) an entry into a map that properly handles casting for serializing polymorphic objects

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/details/polymorphic_impl.hpp